Bug 12064 - RFE: Build python shared library
RFE: Build python shared library
Product: Red Hat Linux
Classification: Retired
Component: python (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
: FutureFeature
: 16219 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-06-10 15:54 EDT by andrew.chatham
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-26 21:44:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description andrew.chatham 2000-06-10 15:54:11 EDT
The official Python distribution does not build a shared library on Unices,
though it's pretty easy to do on Linux (see the URL). Just un-ar the static
library and relink it. It'd make embedding Python a lot nicer (and smaller,
too). I'm currently working on putting it in Guppi. It's too bad the
official distribution doesn't include a shared library, but Debian does
already, and I think it'd be useful if Red Hat did too.
Comment 1 Matt Wilson 2001-01-26 21:02:49 EST
un-aring and relinking isn't enough - the code isn't -fPIC code so it does not
work on some architectures.
Comment 2 Matt Wilson 2001-01-26 21:44:23 EST
*** Bug 16219 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.